<?php
/**
 * Multipurpose Startup: Block Patterns
 *
 * @package Multipurpose Startup
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'multipurpose-startup',
		array( 'label' => __( 'Multipurpose Startup', 'multipurpose-startup' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'multipurpose-startup/banner-section',
		array(
			'title'      => __( 'Banner Section', 'multipurpose-startup' ),
			'categories' => array( 'multipurpose-startup' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\",\"id\":1309,\"dimRatio\":20,\"isDark\":false,\"align\":\"full\",\"className\":\"main-banner-section\"} -->\n<div class=\"wp-block-cover alignfull is-light main-banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-20 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-1309\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/block-patterns/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"className\":\"mx-md-5 mx-lg-5\"} -->\n<div class=\"wp-block-columns mx-md-5 mx-lg-5\"><!-- wp:column {\"className\":\"mx-md-5 mg-lg-5\"} -->\n<div class=\"wp-block-column mx-md-5 mg-lg-5\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"30px\"},\"color\":{\"text\":\"#0f3661\"}}} -->\n<h1 class=\"has-text-color\" style=\"color:#0f3661;font-size:30px;text-transform:uppercase\">Lorem ipsum dolor sit amet consectetur</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#0f3661\"}}} -->\n<p class=\"has-text-color\" style=\"color:#0f3661;font-size:16px\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed interdum sollicitudin neque, non auctor tortor elementum convallis. Vestibulum pharetra maximus maximus.</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"text\":\"#0f3661\",\"background\":\"#ffdd59\"},\"typography\":{\"fontSize\":\"14px\"},\"border\":{\"radius\":\"0px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:14px\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:0px;background-color:#ffdd59;color:#0f3661\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'multipurpose-startup/who-we-are-section',
		array(
			'title'      => __( 'Who We Are Section', 'multipurpose-startup' ),
			'categories' => array( 'multipurpose-startup' ),
			'content'    => "<!-- wp:group {\"align\":\"full\",\"className\":\"main-service-section mx-lg-5 mx-md-5 mx-3\"} -->\n<div class=\"wp-block-group alignfull main-service-section mx-lg-5 mx-md-5 mx-3\" id=\"mx-lg-5\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:heading {\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontSize\":\"40px\"},\"color\":{\"text\":\"#0f3661\"}}} -->\n<h2 class=\"has-text-color\" style=\"color:#0f3661;font-size:40px;text-transform:uppercase\">who we are</h2>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"textTransform\":\"capitalize\",\"fontSize\":\"25px\"},\"color\":{\"text\":\"#0f3661\"}}} -->\n<h3 class=\"has-text-color\" style=\"color:#0f3661;font-size:25px;text-transform:capitalize\">Lorem ipsum dolor sit amet.</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"16px\"},\"color\":{\"text\":\"#666666\"}}} -->\n<p class=\"has-text-color\" style=\"color:#666666;font-size:16px\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed interdum sollicitudin neque, non auctor tortor elementum convallis. Vestibulum pharetra maximus maximus.&nbsp;</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"color\":{\"background\":\"#ffdd59\",\"text\":\"#0f3661\"},\"border\":{\"radius\":\"0px\"},\"typography\":{\"fontSize\":\"14px\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:14px\"><a class=\"wp-block-button__link has-text-color has-background\" style=\"border-radius:0px;background-color:#ffdd59;color:#0f3661\">MORE ABOUT US</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:embed {\"url\":\"https://youtu.be/yAoLSRbwxL8\",\"type\":\"video\",\"providerNameSlug\":\"youtube\",\"responsive\":true,\"className\":\"wp-embed-aspect-16-9 wp-has-aspect-ratio\"} -->\n<figure class=\"wp-block-embed is-type-video is-provider-youtube wp-block-embed-youtube wp-embed-aspect-16-9 wp-has-aspect-ratio\"><div class=\"wp-block-embed__wrapper\">\nhttps://youtu.be/yAoLSRbwxL8\n</div></figure>\n<!-- /wp:embed --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}